Subject: [PATCH] usb: dwc3: host: inherit dma configuration from parent dev

From: [email-masked] (Grygorii Strashko)
Date: Tue, 26 Apr 2016 11:14:15 +0300

On 04/26/2016 09:17 AM, Felipe Balbi wrote:
> 
> Hi,
> 
> Grygorii Strashko <[email-masked]> writes:
>> Now not all DMA paremters configured properly for "xhci-hcd" platform
>> device which is created manually. For example: dma_pfn_offset, dam_ops
>> and iommu configuration will not corresponds "dwc3" devices
>> configuration. As result, this will cause problems like wrong DMA
>> addresses translation on platforms with LPAE enabled like Keystone 2.
>>
>> When platform is using DT boot mode the DMA configuration will be
>> parsed and applied from DT, so, to fix this issue, reuse
>> of_dma_configure() API and retrieve DMA configuartion for "xhci-hcd"
>> from DWC3 device node.
> 
> patch is incomplete. You left out non-DT users which might suffer from
> the same problem.
> 

Honestly, I don't know how to fix it gracefully for non-DT case.
I can update commit message to mention that this is fix for DT case only.

-- 
regards,
-grygorii